-- Electric Boiler ***********************************************************************
kettle = util.table.deepcopy(data.raw["boiler"]["boiler"])
kettle.name = "electric-boiler"
kettle.icon = "__Electric Furnaces__/graphics/icons/electric-boiler.png"
kettle.minable.result = "electric-boiler"
kettle.energy_consumption = "900kW"
kettle.energy_source =
{
  type = "electric",
  usage_priority = "secondary-input"
}
kettle.fire.north =
{
  filename = "__Electric Furnaces__/graphics/entity/electric-boiler/electric-boiler-N-fire.png",
  priority = "extra-high",
  frame_count = 1,
  width = 12,
  height = 13,
  shift = util.by_pixel(0, -8.5),
  hr_version = {
    filename = "__Electric Furnaces__/graphics/entity/electric-boiler/hr-electric-boiler-N-fire.png",
    priority = "extra-high",
    frame_count = 1,
    width = 26,
    height = 26,
    shift = util.by_pixel(0, -8.5),
    scale = 0.5
  }
}
kettle.fire.east =
{
  filename = "__Electric Furnaces__/graphics/entity/electric-boiler/electric-boiler-E-fire.png",
  priority = "extra-high",
  frame_count = 1,
  width = 14,
  height = 14,
  shift = util.by_pixel(-10, -22),
  hr_version = {
    filename = "__Electric Furnaces__/graphics/entity/electric-boiler/hr-electric-boiler-E-fire.png",
    priority = "extra-high",
    frame_count = 1,
    width = 28,
    height = 28,
    shift = util.by_pixel(-9.5, -22),
    scale = 0.5
  }
}
kettle.fire.south =
{
  filename = "__Electric Furnaces__/graphics/entity/electric-boiler/electric-boiler-S-fire.png",
  priority = "extra-high",
  frame_count = 1,
  width = 12,
  height = 9,
  shift = util.by_pixel(-1, -26.5),
  hr_version = {
    filename = "__Electric Furnaces__/graphics/entity/electric-boiler/hr-electric-boiler-S-fire.png",
    priority = "extra-high",
    frame_count = 1,
    width = 26,
    height = 16,
    shift = util.by_pixel(-1, -26.5),
    scale = 0.5
  }
}
kettle.fire.west =
{
  filename = "__Electric Furnaces__/graphics/entity/electric-boiler/electric-boiler-W-fire.png",
  priority = "extra-high",
  frame_count = 1,
  width = 14,
  height = 14,
  shift = util.by_pixel(13, -23),
  hr_version = {
    filename = "__Electric Furnaces__/graphics/entity/electric-boiler/hr-electric-boiler-W-fire.png",
    priority = "extra-high",
    frame_count = 1,
    width = 30,
    height = 29,
    shift = util.by_pixel(13, -23.25),
    scale = 0.5
  }
}
kettle.fire_glow.north.filename = "__Electric Furnaces__/graphics/entity/electric-boiler/electric-boiler-N-light.png"
kettle.fire_glow.north.hr_version.filename = "__Electric Furnaces__/graphics/entity/electric-boiler/hr-electric-boiler-N-light.png"
kettle.fire_glow.east.filename = "__Electric Furnaces__/graphics/entity/electric-boiler/electric-boiler-E-light.png"
kettle.fire_glow.east.hr_version.filename = "__Electric Furnaces__/graphics/entity/electric-boiler/hr-electric-boiler-E-light.png"
kettle.fire_glow.south.filename = "__Electric Furnaces__/graphics/entity/electric-boiler/electric-boiler-S-light.png"
kettle.fire_glow.south.hr_version.filename = "__Electric Furnaces__/graphics/entity/electric-boiler/hr-electric-boiler-S-light.png"
kettle.fire_glow.west.filename = "__Electric Furnaces__/graphics/entity/electric-boiler/electric-boiler-W-light.png"
kettle.fire_glow.west.hr_version.filename = "__Electric Furnaces__/graphics/entity/electric-boiler/hr-electric-boiler-W-light.png"
kettle.fire_flicker_enabled = false
kettle.fire_glow_flicker_enabled = false
kettle.burning_cooldown = 10


-- Electric Stone Furnace ****************************************************************
electricstone = util.table.deepcopy(data.raw["furnace"]["stone-furnace"])
electricstone.name = "electric-stone-furnace"
electricstone.icon = "__Electric Furnaces__/graphics/icons/electric-stone-furnace.png"
electricstone.minable.result = "electric-stone-furnace"
electricstone.working_sound =
{
  sound =
  {
    filename = "__base__/sound/electric-furnace.ogg",
    volume = 0.7
  },
  apparent_volume = 1.5
}
electricstone.energy_usage = "180kW"
electricstone.crafting_speed = 1
electricstone.energy_source =
{
  type = "electric",
  usage_priority = "secondary-input",
  emissions = 0.005
}
electricstone.animation.layers =
{
  {
  filename = "__Electric Furnaces__/graphics/entity/electric-stone-furnace/electric-stone-furnace.png",
  priority = "extra-high",
  width = 81,
  height = 64,
  frame_count = 1,
  shift = {0.515625, 0.0625},
  hr_version = {
    filename = "__Electric Furnaces__/graphics/entity/electric-stone-furnace/hr-electric-stone-furnace.png",
    priority = "extra-high",
    width = 151,
    height = 146,
    frame_count = 1,
    shift = util.by_pixel(-0.25, 6),
    scale = 0.5
    }
  },
  {
  filename = "__base__/graphics/entity/stone-furnace/stone-furnace-shadow.png",
  priority = "extra-high",
  width = 81,
  height = 64,
  frame_count = 1,
  draw_as_shadow = true,
  shift = {0.515625, 0.0625},
  hr_version = {
    filename = "__base__/graphics/entity/stone-furnace/hr-stone-furnace-shadow.png",
    priority = "extra-high",
    width = 164,
    height = 74,
    frame_count = 1,
    draw_as_shadow = true,
    shift = util.by_pixel(14.5, 13),
    scale = 0.5
    }
  }
}
electricstone.working_visualisations =
{
  {
    animation =
    {
      filename = "__Electric Furnaces__/graphics/entity/electric-stone-furnace/electric-stone-furnace-heater.png",
      priority = "extra-high",
      width = 8,
      height = 11,
      frame_count = 12,
      axially_symmetrical = false,
      direction_count = 1,
      shift = {0.046875, 0.565625},
      hr_version = {
        filename = "__Electric Furnaces__/graphics/entity/electric-stone-furnace/hr-electric-stone-furnace-heater.png",
        priority = "extra-high",
        width = 16,
        height = 27,
        frame_count = 12,
        axially_symmetrical = false,
        direction_count = 1,
        shift = util.by_pixel(0.5, 18),
        scale = 0.5
      }
    },
    light = {color = {r=1.0, g=0.75, b=0.5}, intensity = 1, size = 1.25, shift = {0, 0.625}}
  }
}

-- Electric Steel Furnace ****************************************************************
electricsteel = util.table.deepcopy(data.raw["furnace"]["steel-furnace"])
electricsteel.name = "electric-steel-furnace"
electricsteel.icon = "__Electric Furnaces__/graphics/icons/electric-steel-furnace.png"
electricsteel.minable.result = "electric-steel-furnace"
electricsteel.working_sound =
{
  sound =
  {
    filename = "__base__/sound/electric-furnace.ogg",
    volume = 0.7
  },
  apparent_volume = 1.5
}
electricsteel.energy_usage = "180kW"
electricsteel.crafting_speed = 2
electricsteel.energy_source =
{
  type = "electric",
  usage_priority = "secondary-input",
  emissions = 0.005
}
electricsteel.animation.layers =
{
  {
    filename = "__Electric Furnaces__/graphics/entity/electric-steel-furnace/electric-steel-furnace.png",
    priority = "high",
    width = 85,
    height = 87,
    frame_count = 1,
    shift = util.by_pixel(-1.5, 1.5),
    hr_version = {
      filename = "__Electric Furnaces__/graphics/entity/electric-steel-furnace/hr-electric-steel-furnace.png",
      priority = "high",
      width = 171,
      height = 174,
      frame_count = 1,
      shift = util.by_pixel(-1.25, 2),
      scale = 0.5
    }
  },
  {
    filename = "__base__/graphics/entity/steel-furnace/steel-furnace-shadow.png",
    priority = "high",
    width = 139,
    height = 43,
    frame_count = 1,
    draw_as_shadow = true,
    shift = util.by_pixel(39.5, 11.5),
    hr_version = {
      filename = "__base__/graphics/entity/steel-furnace/hr-steel-furnace-shadow.png",
      priority = "high",
      width = 277,
      height = 85,
      frame_count = 1,
      draw_as_shadow = true,
      shift = util.by_pixel(39.25, 11.25),
      scale = 0.5
    }
  },
}
electricsteel.working_visualisations =
{
  {
    north_position = {0.0, 0.0},
    east_position = {0.0, 0.0},
    south_position = {0.0, 0.0},
    west_position = {0.0, 0.0},
    animation =
    {
      filename = "__Electric Furnaces__/graphics/entity/electric-steel-furnace/electric-steel-furnace-heater.png",
      priority = "high",
      width = 25,
      height = 12,
      frame_count = 12,
      axially_symmetrical = false,
      direction_count = 1,
      shift = util.by_pixel(0, 20),
      hr_version = {
        filename = "__Electric Furnaces__/graphics/entity/electric-steel-furnace/hr-electric-steel-furnace-heater.png",
        priority = "high",
        width = 48,
        height = 20,
        frame_count = 12,
        axially_symmetrical = false,
        direction_count = 1,
        shift = util.by_pixel(0, 20.5),
        scale = 0.5
      }
    },
    light = {color = {r=1.0, g=0.75, b=0}, intensity = 1, size = 1.75, shift = {0, 0.625}}
  },
  {
    north_position = {0.0, 0.0},
    east_position = {0.0, 0.0},
    south_position = {0.0, 0.0},
    west_position = {0.0, 0.0},
    animation =
    {
      filename = "__base__/graphics/entity/steel-furnace/steel-furnace-working.png",
      priority = "high",
      line_length = 8,
      width = 64,
      height = 75,
      frame_count = 1,
      axially_symmetrical = false,
      direction_count = 1,
      shift = util.by_pixel(0, -4.5),
      blend_mode = "additive",
      hr_version = {
        filename = "__base__/graphics/entity/steel-furnace/hr-steel-furnace-working.png",
        priority = "high",
        line_length = 8,
        width = 130,
        height = 149,
        frame_count = 1,
        axially_symmetrical = false,
        direction_count = 1,
        shift = util.by_pixel(0, -4.25),
        blend_mode = "additive",
        scale = 0.5
      }
    }
  },
}

-- Electric Furnace 1 ********************************************************************
data.raw["furnace"]["electric-furnace"].working_visualisations[1].light =
  {color = {r=1.0, g=0.75, b=0.5}, intensity = 1, size = 2.25, shift = {0.0625, 1.03125}}
-- Electric Furnace 2 ********************************************************************
electric2 = util.table.deepcopy(data.raw["furnace"]["electric-furnace"])
electric2.name = "electric-furnace-2"
electric2.icon = "__Electric Furnaces__/graphics/icons/electric-furnace-2.png"
electric2.minable.result = "electric-furnace-2"
electric2.module_specification.module_slots = 2
electric2.energy_usage = "180kW"
electric2.crafting_speed = 3
electric2.animation.layers =
{
  {
    filename = "__Electric Furnaces__/graphics/entity/electric-furnace-2/electric-furnace-2-base.png",
    priority = "high",
    width = 129,
    height = 100,
    frame_count = 1,
    shift = {0.421875, 0},
    hr_version = {
      filename = "__Electric Furnaces__/graphics/entity/electric-furnace-2/hr-electric-furnace-2-base.png",
      priority = "high",
      width = 239,
      height = 219,
      frame_count = 1,
      shift = util.by_pixel(0.75, 5.75),
      scale = 0.5
    }
  },
  {
    filename = "__base__/graphics/entity/electric-furnace/electric-furnace-shadow.png",
    priority = "high",
    width = 129,
    height = 100,
    frame_count = 1,
    shift = {0.421875, 0},
    draw_as_shadow = true,
    hr_version = {
      filename = "__base__/graphics/entity/electric-furnace/hr-electric-furnace-shadow.png",
      priority = "high",
      width = 227,
      height = 171,
      frame_count = 1,
      draw_as_shadow = true,
      shift = util.by_pixel(11.25, 7.75),
      scale = 0.5
    }
  }
}

-- Electric Furnace 3 ********************************************************************
electric3 = util.table.deepcopy(data.raw["furnace"]["electric-furnace"])
electric3.name = "electric-furnace-3"
electric3.icon = "__Electric Furnaces__/graphics/icons/electric-furnace-3.png"
electric3.minable.result = "electric-furnace-3"
electric3.module_specification.module_slots = 4
electric3.energy_usage = "240kW"
electric3.crafting_speed = 4
electric3.animation.layers =
{
  {
    filename = "__Electric Furnaces__/graphics/entity/electric-furnace-3/electric-furnace-3-base.png",
    priority = "high",
    width = 129,
    height = 100,
    frame_count = 1,
    shift = {0.421875, 0},
    hr_version = {
      filename = "__Electric Furnaces__/graphics/entity/electric-furnace-3/hr-electric-furnace-3-base.png",
      priority = "high",
      width = 239,
      height = 219,
      frame_count = 1,
      shift = util.by_pixel(0.75, 5.75),
      scale = 0.5
    }
  },
  {
    filename = "__base__/graphics/entity/electric-furnace/electric-furnace-shadow.png",
    priority = "high",
    width = 129,
    height = 100,
    frame_count = 1,
    shift = {0.421875, 0},
    draw_as_shadow = true,
    hr_version = {
      filename = "__base__/graphics/entity/electric-furnace/hr-electric-furnace-shadow.png",
      priority = "high",
      width = 227,
      height = 171,
      frame_count = 1,
      draw_as_shadow = true,
      shift = util.by_pixel(11.25, 7.75),
      scale = 0.5
    }
  }
}

data:extend(
{
  kettle,
  electricstone,
  electricsteel,
  electric2,
  electric3
})